%define tarball xf86-video-ati


Name: x11-driver-video-ati
Version: 19.1.0
Release: %mkrel 9
Summary: X.org driver for ATI Technologies
Group: System/X11
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-ati-%{version}.tar.xz
Patch14: xf86-video-ati-19.1.0-upstream_fixes-1.patch

License: MIT

BuildRequires: libdrm-devel
BuildRequires: x11-proto-devel
BuildRequires: x11-server-devel 
BuildRequires: x11-util-macros 
BuildRequires: GL-devel
BuildRequires: libudev-devel

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)
Requires: acl

Obsoletes: x11-driver-video-radeonhd
Provides: x11-driver-video-radeonhd


%description
x11-driver-video-ati is the X.org driver for ATI Technologies.

%prep
%setup -q -n %{tarball}-%{?gitdate:%{gitdate}}%{?!gitdate:%{version}}
%apply_patches
sed -i '/USE_XAA, 1/d' configure.ac

%build

CFLAGS+=' -fcommon'

autoreconf -ifs
%configure2_5x --disable-static --enable-glamor
%make

%install
rm -rf %buildroot
%make_install
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%files
%{_libdir}/xorg/modules/drivers/radeon_drv.so
%{_libdir}/xorg/modules/drivers/ati_drv.so
%{_mandir}/man4/ati.*
%{_mandir}/man4/radeon.*
%{_datadir}/X11/xorg.conf.d/10-radeon.conf


%changelog
* Mon Dec 19 2022 tex - 19.1.0-9pclos2022
- rebuild against updates

* Wed Apr 05 2022 tex - 19.1.0-8pclos2022
- add patch 14

* Wed Jan 26 2022 tex - 19.1.0-7pclos2022
- rebuild against updates

* Tue Apr 27 2021 tex - 19.1.0-6pclos2021
- rebuild against updates

* Wed Feb 03 2021 tex - 19.1.0-5pclos2021
- req acl

* Wed Feb 03 2021 tex - 19.1.0-4pclos2021
- add upstream fixes

* Sat Sep 26 2020 tex - 19.1.0-3pclos2020
- no fcommon

* Tue Feb 25 2020 tex - 19.1.0-2pclos2020
- rebuild against updates

* Sun Oct 20 2019 tex - 19.1.0-1pclos2019
- new version

* Wed Aug 14 2019 tex - 19.0.1-6pclos2019
- rebuild against updates

* Sat May 18 2019 tex - 19.0.1-5pclos2019
- git patch fixes

